@font-face {
  font-family: Paykan;
  src: url(../fonts/Paykan.ttf);
}

@font-face {
  font-family: Paykan;
  src: url(../fonts/Paykan.ttf);
}

@font-face {
  font-family: on;
  src: url(../fonts/on.ttf);
}

body {
  font-family: Paykan;
  overflow-x: hidden;
  background-color: #F5F5F5;
}

::-webkit-scrollbar {
    width: 7px;
    height: 4px;
}

::-webkit-scrollbar-track {
    background: transparent;
}

::-webkit-scrollbar-thumb {
  background-color: #F0776C;
  border-radius: 10px;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

p, .description, .text {
  font-family: on;
  margin: 0;
}

.right-dir {
    direction: rtl;
    text-align: right;
}


ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

a {
    text-decoration: none;
}

.hero {
  height: 100vh;
  overflow: hidden;
}

.hero img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.way {
  padding: 5rem 0;
}

.way h2 {
  color: #3F2F38;
  font-size: 36px;
  margin-bottom: 0.5rem;
}

.way p {
  color: #000;
  font-size: 16px;
}

.way-cards {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: center;
}

.way-card {
  background-color: #DA6C62;
  margin: .5rem 1rem;
  padding: 0.5rem 2rem;
  color: #FFF;
  font-size: 18px;
  display: flex;
  clip-path: polygon(10% 0, 90% 0, 100% 25%, 100% 75%, 90% 100%, 10% 100%, 0 75%, 0 25%);
  align-items: center;
}

.way-card img {
  margin-inline-end: .6rem;
}

.services {
  background-color: #EBEBEB;
  padding: 5rem 0;
}

.services h2 {
  color: #3F2F38;
  font-size: 36px;
  margin-bottom: 1.5rem;
}
.services-card {
  position: relative;
  height: 500px;
  clip-path: polygon(10% 0, 90% 0, 100% 10%, 100% 90%, 90% 100%, 10% 100%, 0 90%, 0 10%);
  overflow: hidden; /* Ensures the scaled bg image doesn't overflow */
  margin-bottom: 1rem;
}

.services-card::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  transition: transform 0.3s ease;
  z-index: 1;
}

.services-card-layout {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  background-color: #0000005b;
  display: flex;
  flex-flow: column;
  justify-content: end;
  padding: 2rem;
  z-index: 2; /* Above the bg image */
  transition: background-color 0.3s ease;
}

.services-card:hover::before {
  transform: scale(1.2);
}

.services-card:hover .services-card-layout {
  background-color: #f0776c4b; /* Solid color on hover */
  /* Or for gradient: */
  /* background: linear-gradient(0deg, #F0776C, #F0776C); */
}

.services-card-layout h3 {
  color: #FFFFFF;
  font-size: 18px;
  margin-bottom: 0.5rem;
}

.services-card-layout p {
  color: #ECECEC;
  font-size: 14px;
}

.more {
  border: 1px solid #DA6C62;
  color: #84413B;
  background-color: transparent;
  padding: .6rem 2rem;
  transition: all .3s;
}

.more:hover {
  border: 1px solid #DA6C62;
  color: #FFF;
  background-color: #DA6C62;
  padding: .6rem 2rem;
  transition: all .3s;
}

.blogsHome {
  padding: 5rem 0;
}

.blogsHome h2 {
  color: #3F2F38;
  font-size: 36px;
  margin-bottom: 1.5rem;
}
.blogsHome-card {
  position: relative;
  height: 400px;
  clip-path: polygon(10% 0, 90% 0, 100% 10%, 100% 90%, 90% 100%, 10% 100%, 0 90%, 0 10%);
  overflow: hidden; /* Ensures the scaled bg image doesn't overflow */
  margin-bottom: 1rem;
}

.blogsHome-card::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  transition: transform 0.3s ease;
  z-index: 1;
}

.blogsHome-card-layout {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  background-color: #0000005b;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  padding: 1rem;
  z-index: 2; /* Above the bg image */
  transition: background-color 0.3s ease;
}

.blogsHome-card-layout h3 {
  color: #FFFFFF;
  font-size: 38px;
  margin-bottom: 0.5rem;
}

.aboutHome {
  text-align: center;
  background-image: url('../img/Rectangle\ 5136.png');
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: 400px;
  position: relative;
}

.aboutHome::before {
  position: absolute;
  top: -17px;
  width: 70%;
  right: 15%;
  content: "";
  background-image: url('../img/Layer\ 3.png');
  height: 34px;
  background-size: contain;
  background-repeat: no-repeat;
}

.aboutHome.about::before {
  position: unset;
  top: -22px;
  width: 70%;
  right: 15%;
  content: "";
  background-image: url('../img/Layer\ 3.png');
  height: 70px;
  background-size: contain;
  background-repeat: no-repeat;
}

.aboutHome-layout {
  position: absolute;
  padding: 7rem 3rem;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
}

.aboutHome h2 {
  font-size: 48px;
  color: #FFFFFF;
  margin-bottom: 1rem;
}

.aboutHome p {
  font-size: 18px;
  color: #FFFFFF;
}

.contact {
  background-color: #F0776C;
  position: relative;
}

.contact-form {
  background-color: #FFFFFF;
  padding: 1.5rem;
  margin: 5rem 0;
  position: relative;
  z-index: 2;
  width: 140%;
}

.contact-form h2 {
  color: #3F2F38;
  font-size: 36px;
  margin-bottom: 0.7rem;
}

.contact-form p {
  color: #222222;
  font-size: 16px;
  margin-bottom: 2rem;
}

.contact-form .form-control {
  background: #E9E9E966;
  backdrop-filter: blur(100px);
  margin-bottom: 1rem;
  color: #2C2C2C;
  padding: .5rem  1rem;
  border-radius: 12px;
  border: none;
}

.contact-form option {
  color: #2C2C2C;
}

.contact-form .form-control::placeholder {
  color: #2C2C2C;
  font-size: 14px;
}

.form-send {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 16px;
  width: 100%;
  background-color: #DA6C62;
  padding: .4rem 1rem .8rem 1rem;
  border: none;
  color: #FFF;
  clip-path: polygon(5% 0, 95% 0, 100% 15%, 100% 85%, 95% 100%, 5% 100%, 0 85%, 0 15%);
}

.form-send:hover {
  background-color: #684E5C;
  color: #FFF;
  transition: all .3s;
}

.contact-image {
  width: 100%;
  height: 110%;
  position: absolute;
  bottom: 0;
  z-index: 1;
}

.utility {
  height: 350px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  padding: 1rem;
}

.utility h1 {
  font-size: 64px;
  color: #FFF;
}

.utility p {
  font-size: 14px;
  color: #A78754;
}

.utility p a {
  color: #ACADAC;
}

.utility p i {
  margin: 0 .5rem;
}

.customer {
  padding: 5rem 0;
}

.customer-card {
  clip-path: polygon(5% 0, 95% 0, 100% 15%, 100% 85%, 95% 100%, 5% 100%, 0 85%, 0 15%);
  padding: 2rem;
  background-color: #F0776C;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  height: 400px;
  margin-bottom: 1.5rem;
  flex-flow: column;
}

.customer-card img {
  /* width: 100%; */
  margin-bottom: 1rem;
}

.customer-card p {
  color: #F1EEF0;
  font-size: 16px;
  margin: 0;
}

.opening {
  padding: 5rem 0;
  background-color: #ECECEC;
  position: relative;
}

.opening-card {
  overflow: hidden;
}

.opening-card img {
  height: 300px;
  width: 100%;
}

.opening-card-footer {
  background-color: #c7c7c7;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.5rem;
}

.opening-card-footer-links {
  display: flex;
  align-items: center;
}

.opening-card-footer-links i {
  margin-left: 0.3rem;
}

.opening-card-footer a {
  font-size: 10px;
  color: #3F2F38;
  margin: 0 .5rem 0 0;
  display: flex;
  align-items: center;
}

.opening-card-footer img {
  width: 50px;
  height: 20px;
}

.opening h2 {
  color: #000000;
  font-size: 36px;
  margin-bottom: 1rem;
}

.opening-buttons {
  display: flex;
  align-items: center;
  position: relative;
}

.opening-buttons .swiper-pagination {
  width: fit-content;
  position: relative;
  margin: .7rem 1rem 0 1rem;
}

.opening-buttons .swiper-pagination-bullet {
  border-radius: 0;
  background-color: #FFF;
  opacity: 1;
  transform: rotate(45deg);
}

.opening-buttons .swiper-pagination-bullet-active {
  background-color: #DA6C62;
}

.swiper-scrollbar-drag {
  background: #DA6C62;
}

.opening-buttons i {
  width: 35px;
  height: 35px;
  background: #FFF;
  box-shadow: 0px 10px 20px 0px #0000000D;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #DA6C62;
}

.post {
  padding: 5rem 0;
}

.post-card {
  height: 380px;
  position: relative;
  overflow: hidden;
  background: #FFFFFF;
  box-shadow: 0px 3px 10px 0px #00000008;
  border-radius: 12px;
  margin-bottom: 1.5rem;
  border: 1px solid transparent;
  transition: all .4s;
}

.post-card img {
  height: 200px;
  width: 100%;
  transition: height .4s;
}

.post-card:hover {
  border: 1px solid #684E5C;
  transition: all .4s;
}

.post-card:hover img {
  height: 160px;
  transition: height .4s;
}

.post-card-info {
  padding: 1rem;
}

.post-card h2 {
  color: #373737;
  font-size: 24px;
  margin-bottom: 0.3rem;
}

.post-card p {
  font-size: 16px;
  color: #8C8C8C;
}

.pagination {
  justify-content: center;
}

.page-link {
  background-color: #FFFFFF;
  color: #6D3515;
  border: none;
  border-radius: 8px;
  margin: 0 .3rem;
  transition: all .3s;
}

.page-link:hover,
.page-link:active {
  background-color: #6D3515;
  color: #FFFFFF;
  transition: all .3s;
}

.page-item:not(:first-child) .page-link {
  margin-left: .3rem;
}

.first {
  padding: 5rem 0;
  overflow: hidden;
  position: relative;
}

.first h2 {
  color: #343434;
  font-size: 36px;
  margin-bottom: 1.5rem;
}

.first p {
  font-size: 14px;
  color: #343434;
}

.first img {
  width: 100%;
  height: 100%;
  max-height: 400px;
}

.two {
  padding: 5rem 0;
  overflow: hidden;
  background-color: #684E5C;
  position: relative;
}

.two h2 {
  color: #FFFFFF;
  font-size: 36px;
  margin-bottom: 1.5rem;
}

.two p {
  font-size: 14px;
  color: #FFFFFF;
}

.two img {
  width: 100%;
  height: 100%;
  max-height: 400px;
}

.our {
  padding: 5rem 0;
  position: relative;
  overflow: hidden;
}

.our .swiper img {
  width: 100%;
  margin: 1rem 0;
}

.our .swiper h2 {
  font-size: 36px;
  color: #684E5C;
  margin-bottom: 1.5rem;
}

.our .swiper p {
  font-size: 18px;
  width: 70%;
  color: #3F403F;
}

.our .ourSwiper {
  margin-bottom: 3rem;
}

.our-buttons {
  display: flex;
  align-items: center;
  position: relative;
}

.our-buttons .swiper-pagination {
  width: fit-content;
  position: relative;
  margin: .7rem 1rem 0 1rem;
}

.our-buttons .swiper-pagination-bullet {
  border-radius: 0;
  background-color: #FFF;
  opacity: 1;
  transform: rotate(45deg);
}

.our-buttons .swiper-pagination-bullet-active {
  background-color: #DA6C62;
}

.our-buttons i {
  width: 35px;
  height: 35px;
  background: #FFF;
  box-shadow: 0px 10px 20px 0px #0000000D;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #DA6C62;
}

.our-steps {
  gap: 1.5rem;
  direction: rtl;
}
.our-steps li {
  position: relative;
  cursor: pointer;
  opacity: 0.5;
  transition: all 0.3s ease;
  /* overflow: hidden; */
}
.our-steps li.active {
  font-weight: bold;
  opacity: 1;
  transition: all 0.3s ease;
}
.our-steps li::after {
  content: "";
  position: absolute;
  bottom: 19px;
  right: 48%;
  height: 2px;
  width: 100%;
  background-color: #D9D9D9;
  z-index: -1;
  transition: width 0.5s ease;
}
.our-steps li:last-child::after {
  content: none;
  position: unset;
}
.our-steps li.completed::after,
.our-steps li.active::after {
  background-color: #684E5C;
}

.our-header ul li {
  display: flex;
  flex-flow: column-reverse;
  justify-content: center;
  align-items: center;
  color: #684E5C;
  font-size: 16px;  
  width: 100%;
}

.our-header ul li p {
  width: 40px;
  height: 40px;
  border: 1px solid #A6A6A6;
  background-color: #FFF;
  transform: rotate(45deg);
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 1rem;
}

.our-header ul li p span{
  transform: rotate(-45deg);
  margin: 0;
}

.our-steps li.active p,
.our-steps li.completed p {
  background-color: #684E5C;
  border: 1px solid #684E5C;
  color: #FFF;
  opacity: 1;
  transition: all 0.3s ease;
}

h1, h2, h3, h4, h5, h6 {
  font-family: Paykan;
}

@media (max-width: 768px) {
  .aboutHome {
    height: 100%;
  }
  .services-card {
    height: 350px;
  }
  .our-header {
    display: none;
  }
  .our .swiper p {
    font-size: 18px;
    width: 100%;
    color: #3F403F;
  }
  .first img,
  .two img,
    .two h2,
      .first h2 {
    margin: 1rem 0;
  }
  .aboutHome-layout {
    position: relative;
    padding: 5rem 1rem;
  }
  .aboutHome h2 {
    font-size: 24px;
  }
  .aboutHome p {
    font-size: 14px;
  }
  .aboutHome::before {
    display: none;
  }
  .contact-image {
    width: 100%;
    height: 100%;
    position: unset;
  }
  .contact-form {
    background-color: #FFFFFF;
    padding: 1.5rem;
    margin: 2rem 0;
    position: relative;
    z-index: 2;
    width: 100%;
  }
}
